Emgmbh\UserBundle\Entity\WorkerJobDescription:
    type: entity
    id:
        id:
            type: integer
            options:
                unsigned: true
            id: true
            generator:
                strategy: IDENTITY

    fields:
        date:
            type: date
        start:
            type: datetime
        end:
            type: datetime
        createdAt:
            type: datetime
            gedmo:
                timestampable:
                    on: create

    manyToOne:
        worker:
            targetEntity: Emgmbh\UserBundle\Entity\Worker
            inversedBy: jobDescriptions
        leader:
            targetEntity: Emgmbh\UserBundle\Entity\Worker
        market:
            targetEntity: Emgmbh\MarketBundle\Entity\Market
            joinColumns:
                market_number:
                    referencedColumnName: number